<h1 mat-dialog-title>Row Action :: <strong>{{action}}</strong></h1>
<div mat-dialog-content>
    <div class="example-container" *ngIf="action != 'Delete'; else elseTemplate">
        <p>
            <mat-form-field>
                <mat-label>Mentor Skills</mat-label>
                <mat-select [(ngModel)]="local_data.skill">
                    <mat-option *ngFor="let technology of technologies" [value]="technology">{{technology.name}}</mat-option>
                </mat-select>
            </mat-form-field>
        </p>
        <p>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Self Rating" type="text" [(ngModel)]="local_data.selfRating">
            </mat-form-field>
        </p>
        <p>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Years of Experience" type="text" [(ngModel)]="local_data.yearsOfExperience">
            </mat-form-field>
        </p>
        <p>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Trainings Delivered" type="text" [(ngModel)]="local_data.trainingsDelivered">
            </mat-form-field>
        </p>
        <p>
            <mat-form-field class="example-full-width">
                <input matInput placeholder="Facilities Offered" type="text" [(ngModel)]="local_data.facilitiesOffered">
            </mat-form-field>
        </p>
    </div>
    <ng-template #elseTemplate>
        Sure to delete <b>{{local_data.skillName}}</b>?
    </ng-template>
</div>
<div mat-dialog-actions>
    <button mat-button (click)="doAction()">{{action}}</button>
    <button mat-button (click)="closeDialog()" mat-flat-button color="warn">Cancel</button>
</div>